package tk.antoine_roux.wiki.model;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

public class HookEvent {
    public String secret;
    public String ref;
    public String before;
    public String after;
    @JsonProperty("compare_url")
    public String compareUrl;
    public List<Commit> commits;
    @JsonProperty("head_commit")
    public String headCommit;
    public Repository repository;
    public User pusher;
    public User sender;
}
